Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 1334)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 1335)
@@ -1,267 +1,267 @@
-package org.txm.chartsengine.rcp.swt;
-
-import java.awt.Font;
-import java.awt.GraphicsEnvironment;
-import java.util.ArrayList;
-
-import org.apache.commons.lang.StringUtils;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.widgets.Combo;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.ToolItem;
-import org.txm.Toolbox;
-import org.txm.chartsengine.core.ChartCreator;
-import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
-import org.txm.core.engines.EngineType;
-import org.txm.rcp.IImageKeys;
-import org.txm.rcp.swt.GLComposite;
-
-/**
- * The default advanced chart editor tool bar shared by every <code>ChartEditor</code>.
- * The tool bar is accessible and usable in plugin.xml with the URI toolbar:AdvancedChartEditorToolBar.
- * 
- * @author sjacquot
- *
- */
-public class AdvancedChartEditorToolBar extends ChartEditorToolBar {
-
-	public final static String ID = "AdvancedChartEditorToolBar" ;
-	
-	/**
-	 *
-	 * @param parent
-	 * @param style
-	 */
-	public AdvancedChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
-		super(chartEditor, parent, subWidgetsComposite, style, AdvancedChartEditorToolBar.ID);
-		
-		
-		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
-		//showTitle.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
-		showTitle.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
-		showTitle.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
-		showTitle.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_TITLE);
-
-		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
-			showTitle.setSelection(chartEditor.getResult().isTitleVisible());
-		}
-		// disable if not managed by the command
-		else	{
-			showTitle.setEnabled(false);
-		}
-		
-
-		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
-		//showLegend.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
-		showLegend.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
-		showLegend.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
-		showLegend.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_LEGEND);
-
-		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
-			showLegend.setSelection(chartEditor.getResult().isLegendVisible());
-		}
-		// disable if not managed by the command
-		else	{
-			showLegend.setEnabled(false);
-		}
-
-		
-		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
-		//showGrid.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
-		showGrid.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
-		showGrid.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
-		showGrid.setToolTipText(SWTComponentsProviderMessages.SWTChartsComponentProvider_SHOW_HIDE_GRID);
-		
-		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
-			showGrid.setSelection(chartEditor.getResult().isGridVisible());
-		}
-		// disable if not managed by the command
-		else	{
-			showGrid.setEnabled(false);
-		}
-
-		
-		
-		// Rendering colors mode selection
-		new ToolItem(this, SWT.SEPARATOR);
-		final Combo renderingModeCombo = new Combo(this, SWT.READ_ONLY);
-		String colorsModes[] = new String[]{SWTComponentsProviderMessages.ChartsEnginePreferencePage_RenderingModeColors,
-			SWTComponentsProviderMessages.ChartsEnginePreferencePage_RenderingModeGrayscale,
-			SWTComponentsProviderMessages.ChartsEnginePreferencePage_RenderingModeBlackAndWhite,
-			SWTComponentsProviderMessages.ChartsEnginePreferencePage_RenderingModeMonochrome
-			};
-		renderingModeCombo.setItems(colorsModes);
-		
-		ToolItem renderingComboItem = new ToolItem(this, SWT.SEPARATOR);
-		renderingComboItem.setControl(renderingModeCombo);
-		renderingModeCombo.pack();
-		renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
-		
-		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
-			renderingModeCombo.select(chartEditor.getResult().getRenderingColorsMode());
-		}
-		// disable if not managed
-		else	{
-			renderingModeCombo.setEnabled(false);
-		}
-		
-		
-		// Font selection
-		final Font currentFont = ChartsEngine.createFont(chartEditor.getResult().getFont());
-		
-		final Combo fontCombo = new Combo(this, SWT.READ_ONLY);
-		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
-		fontCombo.setItems(fonts);
-
-		ToolItem fontsComboItem = new ToolItem(this, SWT.SEPARATOR);
-		fontsComboItem.setControl(fontCombo);
-		fontCombo.pack();
-		fontsComboItem.setWidth(fontCombo.getBounds().width);
-		
-		int currentFontIndex = 0;
-		for(int i = 0; i < fonts.length; i++) {
-			if(fonts[i].equals(currentFont.getName()))	{
-				currentFontIndex = i;
-				break;
-			}
-		}
-		fontCombo.select(currentFontIndex);
-		
-
-		// Font size
-		final Combo fontSizeCombo = new Combo(this, SWT.READ_ONLY);
-		String fontSizes[] = new String[30];
-		int currentFontSizeIndex = 0;
-		for(int i = 0; i < fontSizes.length; i++) {
-			fontSizes[i] = String.valueOf(i + 1);
-			if(currentFont.getSize() == (i + 1))	{
-				currentFontSizeIndex = i;
-			}
-			
-		}
-		fontSizeCombo.setItems(fontSizes);
-		
-		ToolItem fontSizeComboItem = new ToolItem(this, SWT.SEPARATOR);
-		fontSizeComboItem.setControl(fontSizeCombo);
-		fontSizeCombo.pack();
-		fontSizeComboItem.setWidth(fontSizeCombo.getBounds().width);
-		
-		fontSizeCombo.select(currentFontSizeIndex);
-
-		
-		// Chart types from installed chart creators in all installed charts engines
-		final Combo chartTypeCombo = new Combo(this, SWT.READ_ONLY);
-		ArrayList<String> chartsEngineNames = new ArrayList<String>();
-		ArrayList<ChartCreator> allChartCreators = new ArrayList<ChartCreator>();
-		
-		for (int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
-			ArrayList<ChartCreator> chartCreators = ChartsEngine.getChartsEngines().get(i).getChartCreators(this.getEditorPart().getResult());
-			for (int j = 0; j < chartCreators.size(); j++) {
-				chartsEngineNames.add(ChartsEngine.getChartsEngines().get(i).getName());
-				allChartCreators.add(chartCreators.get(j));
-			}
-		}
-		
-		
-		String chartTypes[] = new String[allChartCreators.size()];
-		int currentChartCreatorIndex = 0;
-		
-		for(int i = 0; i < allChartCreators.size(); i++) {
-			
-			chartTypes[i] = allChartCreators.get(i).getChartType();
-			if(chartTypes[i] == null)	{
-				chartTypes[i] = ChartsEnginePreferences.DEFAULT_CHART_TYPE;
-			}
-			
-			// preselected combo index
-			if(this.getEditorPart().getChartType() != null && this.getEditorPart().getChartType().equals(chartTypes[i])
-					&& this.getEditorPart().getResult().getChartsEngine().getName().equals(chartsEngineNames.get(i))) {
-				currentChartCreatorIndex = i;
-			}
-			
-			chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i]; //$NON-NLS-1$
-			
-		}
-		chartTypeCombo.setItems(chartTypes);
-		
-		ToolItem chartTypeComboItem = new ToolItem(this, SWT.SEPARATOR);
-		chartTypeComboItem.setControl(chartTypeCombo);
-		chartTypeCombo.pack();
-		chartTypeComboItem.setWidth(chartTypeCombo.getBounds().width);
-		
-		chartTypeCombo.select(currentChartCreatorIndex);
-		
-		
-		if(allChartCreators.size() < 2)	{
-			chartTypeCombo.setVisible(false);
-		}
-		
-		
-		// Listeners
-		SelectionListener listener = new SelectionListener() {
-			
-			@Override
-			public void widgetSelected(final SelectionEvent e) {
-				
-				boolean update = true;
-				
-				if(e.getSource() == showTitle)	{
-					getEditorPart().getResult().setTitleVisible(showTitle.getSelection());
-				}
-				else if(e.getSource() == showLegend)	{
-					getEditorPart().getResult().setLegendVisible(showLegend.getSelection());
-				}
-				else if(e.getSource() == showGrid)	{
-					getEditorPart().getResult().setGridVisible(showGrid.getSelection());
-				}
-				else if(e.getSource() == renderingModeCombo)	{
-					getEditorPart().getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
-				}
-				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
-					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-				}
-				else if(e.getSource() == chartTypeCombo)	{
-					
-					String[] data = StringUtils.split(chartTypeCombo.getItem(chartTypeCombo.getSelectionIndex()), '/');
-					data[0] = StringUtils.trim(data[0]);
-					data[1] = StringUtils.trim(data[1]);
-					getEditorPart().getResult().setChartType(data[1]);
-					getEditorPart().getResult().setChartsEngine((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(data[0]));
-					update = false;
-				}
-
-				getEditorPart().getResult().setChartDirty();
-				
-				// updates or creates chart
-				getEditorPart().compute(update);
-				getEditorPart().setFocus();
-			}
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				// TODO Auto-generated method stub
-				
-			}
-		};
-		showTitle.addSelectionListener(listener);
-		showLegend.addSelectionListener(listener);
-		showGrid.addSelectionListener(listener);
-		renderingModeCombo.addSelectionListener(listener);
-		fontCombo.addSelectionListener(listener);
-		fontSizeCombo.addSelectionListener(listener);
-		chartTypeCombo.addSelectionListener(listener);
-	}
-
-
-	
-	@Override
-	protected void checkSubclass() { } // if this method is not defined then the ToolBar cannot be subclassed
-	
-
-}
+package org.txm.chartsengine.rcp.swt;
+
+import java.awt.Font;
+import java.awt.GraphicsEnvironment;
+import java.util.ArrayList;
+
+import org.apache.commons.lang.StringUtils;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.ToolItem;
+import org.txm.Toolbox;
+import org.txm.chartsengine.core.ChartCreator;
+import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
+import org.txm.core.engines.EngineType;
+import org.txm.rcp.IImageKeys;
+import org.txm.rcp.swt.GLComposite;
+
+/**
+ * The default advanced chart editor tool bar shared by every <code>ChartEditor</code>.
+ * The tool bar is accessible and usable in plugin.xml with the URI toolbar:AdvancedChartEditorToolBar.
+ * 
+ * @author sjacquot
+ *
+ */
+public class AdvancedChartEditorToolBar extends ChartEditorToolBar {
+
+	public final static String ID = "AdvancedChartEditorToolBar" ;
+	
+	/**
+	 *
+	 * @param parent
+	 * @param style
+	 */
+	public AdvancedChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
+		super(chartEditor, parent, subWidgetsComposite, style, AdvancedChartEditorToolBar.ID);
+		
+		
+		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
+		//showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
+		showTitle.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
+		showTitle.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
+		showTitle.setToolTipText(SWTComponentsProviderMessages.showhideTitle);
+
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
+			showTitle.setSelection(chartEditor.getResult().isTitleVisible());
+		}
+		// disable if not managed by the command
+		else	{
+			showTitle.setEnabled(false);
+		}
+		
+
+		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
+		//showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
+		showLegend.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
+		showLegend.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
+		showLegend.setToolTipText(SWTComponentsProviderMessages.showhideLegend);
+
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
+			showLegend.setSelection(chartEditor.getResult().isLegendVisible());
+		}
+		// disable if not managed by the command
+		else	{
+			showLegend.setEnabled(false);
+		}
+
+		
+		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
+		//showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
+		showGrid.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
+		showGrid.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
+		showGrid.setToolTipText(SWTComponentsProviderMessages.showhideGrid);
+		
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
+			showGrid.setSelection(chartEditor.getResult().isGridVisible());
+		}
+		// disable if not managed by the command
+		else	{
+			showGrid.setEnabled(false);
+		}
+
+		
+		
+		// Rendering colors mode selection
+		new ToolItem(this, SWT.SEPARATOR);
+		final Combo renderingModeCombo = new Combo(this, SWT.READ_ONLY);
+		String colorsModes[] = new String[]{SWTComponentsProviderMessages.colors,
+			SWTComponentsProviderMessages.grayscale,
+			SWTComponentsProviderMessages.blackAndWhite,
+			SWTComponentsProviderMessages.monochrome
+			};
+		renderingModeCombo.setItems(colorsModes);
+		
+		ToolItem renderingComboItem = new ToolItem(this, SWT.SEPARATOR);
+		renderingComboItem.setControl(renderingModeCombo);
+		renderingModeCombo.pack();
+		renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
+		
+		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
+			renderingModeCombo.select(chartEditor.getResult().getRenderingColorsMode());
+		}
+		// disable if not managed
+		else	{
+			renderingModeCombo.setEnabled(false);
+		}
+		
+		
+		// Font selection
+		final Font currentFont = ChartsEngine.createFont(chartEditor.getResult().getFont());
+		
+		final Combo fontCombo = new Combo(this, SWT.READ_ONLY);
+		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
+		fontCombo.setItems(fonts);
+
+		ToolItem fontsComboItem = new ToolItem(this, SWT.SEPARATOR);
+		fontsComboItem.setControl(fontCombo);
+		fontCombo.pack();
+		fontsComboItem.setWidth(fontCombo.getBounds().width);
+		
+		int currentFontIndex = 0;
+		for(int i = 0; i < fonts.length; i++) {
+			if(fonts[i].equals(currentFont.getName()))	{
+				currentFontIndex = i;
+				break;
+			}
+		}
+		fontCombo.select(currentFontIndex);
+		
+
+		// Font size
+		final Combo fontSizeCombo = new Combo(this, SWT.READ_ONLY);
+		String fontSizes[] = new String[30];
+		int currentFontSizeIndex = 0;
+		for(int i = 0; i < fontSizes.length; i++) {
+			fontSizes[i] = String.valueOf(i + 1);
+			if(currentFont.getSize() == (i + 1))	{
+				currentFontSizeIndex = i;
+			}
+			
+		}
+		fontSizeCombo.setItems(fontSizes);
+		
+		ToolItem fontSizeComboItem = new ToolItem(this, SWT.SEPARATOR);
+		fontSizeComboItem.setControl(fontSizeCombo);
+		fontSizeCombo.pack();
+		fontSizeComboItem.setWidth(fontSizeCombo.getBounds().width);
+		
+		fontSizeCombo.select(currentFontSizeIndex);
+
+		
+		// Chart types from installed chart creators in all installed charts engines
+		final Combo chartTypeCombo = new Combo(this, SWT.READ_ONLY);
+		ArrayList<String> chartsEngineNames = new ArrayList<String>();
+		ArrayList<ChartCreator> allChartCreators = new ArrayList<ChartCreator>();
+		
+		for (int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
+			ArrayList<ChartCreator> chartCreators = ChartsEngine.getChartsEngines().get(i).getChartCreators(this.getEditorPart().getResult());
+			for (int j = 0; j < chartCreators.size(); j++) {
+				chartsEngineNames.add(ChartsEngine.getChartsEngines().get(i).getName());
+				allChartCreators.add(chartCreators.get(j));
+			}
+		}
+		
+		
+		String chartTypes[] = new String[allChartCreators.size()];
+		int currentChartCreatorIndex = 0;
+		
+		for(int i = 0; i < allChartCreators.size(); i++) {
+			
+			chartTypes[i] = allChartCreators.get(i).getChartType();
+			if(chartTypes[i] == null)	{
+				chartTypes[i] = ChartsEnginePreferences.DEFAULT_CHART_TYPE;
+			}
+			
+			// preselected combo index
+			if(this.getEditorPart().getChartType() != null && this.getEditorPart().getChartType().equals(chartTypes[i])
+					&& this.getEditorPart().getResult().getChartsEngine().getName().equals(chartsEngineNames.get(i))) {
+				currentChartCreatorIndex = i;
+			}
+			
+			chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i]; //$NON-NLS-1$
+			
+		}
+		chartTypeCombo.setItems(chartTypes);
+		
+		ToolItem chartTypeComboItem = new ToolItem(this, SWT.SEPARATOR);
+		chartTypeComboItem.setControl(chartTypeCombo);
+		chartTypeCombo.pack();
+		chartTypeComboItem.setWidth(chartTypeCombo.getBounds().width);
+		
+		chartTypeCombo.select(currentChartCreatorIndex);
+		
+		
+		if(allChartCreators.size() < 2)	{
+			chartTypeCombo.setVisible(false);
+		}
+		
+		
+		// Listeners
+		SelectionListener listener = new SelectionListener() {
+			
+			@Override
+			public void widgetSelected(final SelectionEvent e) {
+				
+				boolean update = true;
+				
+				if(e.getSource() == showTitle)	{
+					getEditorPart().getResult().setTitleVisible(showTitle.getSelection());
+				}
+				else if(e.getSource() == showLegend)	{
+					getEditorPart().getResult().setLegendVisible(showLegend.getSelection());
+				}
+				else if(e.getSource() == showGrid)	{
+					getEditorPart().getResult().setGridVisible(showGrid.getSelection());
+				}
+				else if(e.getSource() == renderingModeCombo)	{
+					getEditorPart().getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
+				}
+				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
+					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				}
+				else if(e.getSource() == chartTypeCombo)	{
+					
+					String[] data = StringUtils.split(chartTypeCombo.getItem(chartTypeCombo.getSelectionIndex()), '/');
+					data[0] = StringUtils.trim(data[0]);
+					data[1] = StringUtils.trim(data[1]);
+					getEditorPart().getResult().setChartType(data[1]);
+					getEditorPart().getResult().setChartsEngine((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(data[0]));
+					update = false;
+				}
+
+				getEditorPart().getResult().setChartDirty();
+				
+				// updates or creates chart
+				getEditorPart().compute(update);
+				getEditorPart().setFocus();
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+				// TODO Auto-generated method stub
+				
+			}
+		};
+		showTitle.addSelectionListener(listener);
+		showLegend.addSelectionListener(listener);
+		showGrid.addSelectionListener(listener);
+		renderingModeCombo.addSelectionListener(listener);
+		fontCombo.addSelectionListener(listener);
+		fontSizeCombo.addSelectionListener(listener);
+		chartTypeCombo.addSelectionListener(listener);
+	}
+
+
+	
+	@Override
+	protected void checkSubclass() { } // if this method is not defined then the ToolBar cannot be subclassed
+	
+
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1334)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1335)
@@ -118,28 +118,28 @@
 			try {
 				file.createNewFile();
 			} catch (IOException e1) {
-				Log.severe(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
+				Log.severe(NLS.bind(TXMUIMessages.exportDDotCantCreateFileP0DDotP1, file, e1));
 			}
 			if (!file.canWrite()) {
-				Log.severe(NLS.bind(TXMUIMessages.ExportResult_5, file));
+				Log.severe(NLS.bind(TXMUIMessages.impossibleToReadP0, file));
 			}
 			if (!file.isFile()) {
 				Log.severe("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(TXMUIMessages.ExportResult_1, 100);
+						monitor.beginTask(TXMUIMessages.exporting, 100);
 
 						String outputFormat = SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(dialog.getFilterIndex());
 						ChartsEngine.getCurrent().createChartFile(chartResult, file, outputFormat);
 
 						if (file.exists()) {
 
-							Log.info(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							Log.info(NLS.bind(TXMUIMessages.p1ExportSavedInFileDDotP0, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
@@ -151,7 +151,7 @@
 								});
 							}
 						} else {
-							System.out.println(NLS.bind(TXMUIMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(TXMUIMessages.failedToExportInFileP0WithFormatP1, file.getAbsolutePath(), outputFormat));
 						}
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
@@ -170,4 +170,4 @@
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 1334)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 1335)
@@ -126,28 +126,28 @@
 				file.createNewFile();
 			}
 			catch(IOException e1) {
-				System.err.println(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
+				System.err.println(NLS.bind(TXMUIMessages.exportDDotCantCreateFileP0DDotP1, file, e1));
 			}
 			if(!file.canWrite()) {
-				System.err.println(NLS.bind(TXMUIMessages.ExportResult_5, file));
+				System.err.println(NLS.bind(TXMUIMessages.impossibleToReadP0, file));
 			}
 			if(!file.isFile()) {
 				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(TXMUIMessages.ExportResult_1, 100);
+						monitor.beginTask(TXMUIMessages.exporting, 100);
 
 						String outputFormat = chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(dialog.getFilterIndex());
 						chartEditor.exportView(file, outputFormat);
 
 						if(file.exists()) {
 
-							System.out.println(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							System.out.println(NLS.bind(TXMUIMessages.p1ExportSavedInFileDDotP0, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if(TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
@@ -160,7 +160,7 @@
 							}
 						}
 						else {
-							System.out.println(NLS.bind(TXMUIMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(TXMUIMessages.failedToExportInFileP0WithFormatP1, file.getAbsolutePath(), outputFormat));
 						}
 					}
 					catch(ThreadDeath td) {
@@ -183,4 +183,4 @@
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1334)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1335)
@@ -70,7 +70,7 @@
 			chartsEngines[i][1] = contributions[i].getAttribute("name"); //$NON-NLS-1$
 		}
 		
-		this.chartsEngineComboField = new ComboFieldEditor(ChartsEnginePreferences.CURRENT_NAME, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL, chartsEngines, this.getFieldEditorParent());
+		this.chartsEngineComboField = new ComboFieldEditor(ChartsEnginePreferences.CURRENT_NAME, SWTComponentsProviderMessages.currentEngine, chartsEngines, this.getFieldEditorParent());
 		this.addField(this.chartsEngineComboField);
 
 		
@@ -88,14 +88,14 @@
 			exportFormats[i][1] = formats[i];
 		}
 
-		this.addField(new ComboFieldEditor(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_EXPORT_FORMAT_LABEL, exportFormats, this.getFieldEditorParent()));
+		this.addField(new ComboFieldEditor(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, SWTComponentsProviderMessages.defaultExportFormat, exportFormats, this.getFieldEditorParent()));
 
 
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, this.getFieldEditorParent());
 		
 		// Monochrome color
-		this.addField(new ColorFieldEditor(ChartsEnginePreferences.MONOCHROME_COLOR, SWTComponentsProviderMessages.ChartsEnginePreferencePage_RenderingMonochromeColor, this.getFieldEditorParent()));
+		this.addField(new ColorFieldEditor(ChartsEnginePreferences.MONOCHROME_COLOR, SWTComponentsProviderMessages.monochromeRenderingColor, this.getFieldEditorParent()));
 		
 		FontFieldEditor font = new FontFieldEditor(ChartsEnginePreferences.FONT, "Font", "Specificities / Spécificités / Специфичность", this.getFieldEditorParent());
 		this.addField(font);
@@ -121,7 +121,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setDescription(SWTComponentsProviderMessages.ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart);
+		this.setDescription(SWTComponentsProviderMessages.thesePreferencesWillApplyToNewChartsPreviouslyCreatedChartsWillNotBeAffected);
 	}
 
 	@Override
@@ -132,7 +132,7 @@
 			// Do nothing if the property has not been changed
 			if(this.hasChanged) {
 				
-				Log.info(SWTComponentsProviderMessages.ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE);
+				Log.info(SWTComponentsProviderMessages.recreatingChartsEngineAndSWTChartComponentsProvider);
 
 				Toolbox.getEngineManager(EngineType.CHARTS).setCurrentEngine(this.getPreferenceStore().getString(ChartsEnginePreferences.CURRENT_NAME));
 				
@@ -164,4 +164,4 @@
 			
 		return true;
 	}
-}
+}
\ No newline at end of file
